알림 핸들러

GET https://tistos.com/api/notification-handlers/
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
매개변수 세부 정보 설명
search 선택 사항 문자열 검색 문자열
search_by 선택 사항 문자열 어떤 필드로 검색하시겠습니까. 허용된 값은 name입니다.
is_enabled 선택 사항 부울 값
type 선택 사항 문자열 어떤 필드로 검색하시겠습니까. 허용된 값은 email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat입니다.
datetime_field 선택 사항 문자열 허용된 값: datetime, last_datetime
datetime_start 선택 사항 문자열 이 날짜 및 시간부터 결과를 필터링합니다. 형식 Y-m-d H:i:s
datetime_end 선택 사항 문자열 이 날짜 및 시간까지 결과를 필터링합니다. 형식 Y-m-d H:i:s
order_by 선택 사항 문자열 결과를 어떤 필드로 정렬할지 선택하세요. 허용된 값은 다음과 같습니다: notification_handler_id, datetime, last_datetime, name
order_type 선택 사항 문자열 결과의 순서. 허용된 값은 오름차순 정렬을 위한 ASC와 내림차순 정렬을 위한 DESC입니다.
search 선택 사항 문자열 검색 문자열
search_by 선택 사항 문자열 어떤 필드로 검색하시겠습니까. 허용된 값은 name입니다.
is_enabled 선택 사항 부울 값
type 선택 사항 문자열 어떤 필드로 검색하시겠습니까. 허용된 값은 email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat입니다.
datetime_field 선택 사항 문자열 허용된 값: datetime, last_datetime
datetime_start 선택 사항 문자열 이 날짜 및 시간부터 결과를 필터링합니다. 형식 Y-m-d H:i:s
datetime_end 선택 사항 문자열 이 날짜 및 시간까지 결과를 필터링합니다. 형식 Y-m-d H:i:s
order_by 선택 사항 문자열 결과를 어떤 필드로 정렬할지 선택하세요. 허용된 값은 다음과 같습니다: notification_handler_id, datetime, last_datetime, name
order_type 선택 사항 문자열 결과의 순서. 허용된 값은 오름차순 정렬을 위한 ASC와 내림차순 정렬을 위한 DESC입니다.
page 선택 사항 정수 당신이 원하는 페이지 번호에서 결과를 얻습니다. 기본값은 1입니다.
results_per_page 선택 사항 정수 한 페이지당 원하는 결과 수를 입력하세요. 허용된 값은 10, 25, 50, 100, 250, 500, 1000입니다. 기본값은 25입니다.
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "[email protected]"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-07-18 11:38:36",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://tistos.com/api/notification-handlers?page=1",
        "last": "https://tistos.com/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://tistos.com/api/notification-handlers?page=1"
    }
}
GET https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "[email protected]"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-07-18 11:38:36",
    }
}
POST https://tistos.com/api/notification-handlers
매개변수 세부 정보 설명
name 필수 문자열 -
type 필수 문자열 허용된 값: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat
email 선택 사항 문자열 다음 시간에 이용 가능합니다: type = email 이메일
webhook 선택 사항 문자열 다음 시간에 이용 가능합니다: type = webhook Webhook URL
slack 선택 사항 문자열 다음 시간에 이용 가능합니다: type = slack Slack webhook URL
discord 선택 사항 문자열 다음 시간에 이용 가능합니다: type = discord Discord webhook URL
telegram 선택 사항 문자열 다음 시간에 이용 가능합니다: type = telegram Telegram API 토큰
telegram_chat_id 선택 사항 문자열 다음 시간에 이용 가능합니다: type = telegram Telegram 채팅 ID
microsoft_teams 선택 사항 문자열 다음 시간에 이용 가능합니다: type = microsoft_teams Microsoft Teams webhook URL
google_chat 선택 사항 문자열 다음 시간에 이용 가능합니다: type = google_chat Google Chat webhook URL
x_consumer_key 선택 사항 문자열 다음 시간에 이용 가능합니다: type = x Telegram API 토큰
x_consumer_secret 선택 사항 문자열 다음 시간에 이용 가능합니다: type = x Telegram API 토큰
x_access_token 선택 사항 문자열 다음 시간에 이용 가능합니다: type = x Telegram API 토큰
x_access_token_secret 선택 사항 문자열 다음 시간에 이용 가능합니다: type = x Telegram API 토큰
curl --request POST \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
    "data": {
        "id": 1
    }
}
POST https://tistos.com/api/notification-handlers/{notification_handler_id}
매개변수 세부 정보 설명
name 선택 사항 문자열 -
type 선택 사항 문자열 허용된 값: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat
email 선택 사항 문자열 다음 시간에 이용 가능합니다: type = email 이메일
webhook 선택 사항 문자열 다음 시간에 이용 가능합니다: type = webhook Webhook URL
slack 선택 사항 문자열 다음 시간에 이용 가능합니다: type = slack Slack webhook URL
discord 선택 사항 문자열 다음 시간에 이용 가능합니다: type = discord Discord webhook URL
telegram 선택 사항 문자열 다음 시간에 이용 가능합니다: type = telegram Telegram API 토큰
telegram_chat_id 선택 사항 문자열 다음 시간에 이용 가능합니다: type = telegram Telegram 채팅 ID
microsoft_teams 선택 사항 문자열 다음 시간에 이용 가능합니다: type = microsoft_teams Microsoft Teams webhook URL
google_chat 선택 사항 문자열 다음 시간에 이용 가능합니다: type = google_chat Google Chat webhook URL
x_consumer_key 선택 사항 문자열 다음 시간에 이용 가능합니다: type = x Telegram API 토큰
x_consumer_secret 선택 사항 문자열 다음 시간에 이용 가능합니다: type = x Telegram API 토큰
x_access_token 선택 사항 문자열 다음 시간에 이용 가능합니다: type = x Telegram API 토큰
x_access_token_secret 선택 사항 문자열 다음 시간에 이용 가능합니다: type = x Telegram API 토큰
is_enabled 선택 사항 부울 값 -
curl --request POST \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \